import { UserRole } from 'src/services/users';

export const appAccessList = [
  {
    name: 'wekan',
    image: '/assets/wekan.svg',
    label: 'Wekan',
  },
  {
    name: 'wordpress',
    image: '/assets/wordpress.svg',
    label: 'Wordpress',
  },
  {
    name: 'nextcloud',
    image: '/assets/nextcloud.svg',
    label: 'Nextcloud',
  },
  {
    name: 'zulip',
    image: '/assets/zulip.svg',
    label: 'Zulip',
  },
];

const initialAppRoles = [
  {
    name: 'dashboard',
    role: UserRole.User,
  },
  {
    name: 'wekan',
    role: UserRole.NoAccess,
  },
  {
    name: 'wordpress',
    role: UserRole.NoAccess,
  },
  {
    name: 'nextcloud',
    role: UserRole.NoAccess,
  },
  {
    name: 'zulip',
    role: UserRole.NoAccess,
  },
];

export const initialUserForm = {
  id: '',
  name: '',
  email: '',
  app_roles: initialAppRoles,
  status: '',
};
